Subject: [v6ops] Mail regarding draft-lmhp-v6ops-transition-comparison

From: "Yutianpeng (Tim)" <[email-masked]>
Date: Mon, 12 Nov 2018 14:28:39 +0000

Hi authors,
Some comments related to this draft, hope will help.

1.  In 2.1<https://tools.ietf.org/html/draft-lmhp-v6ops-transition-comparison-01#section-2.1>. Service Provider Network Traversal
It could be useful if we can have diagrams showing how NAT or translation happens (CPE, BR, etc.) and differences between techniques. It will be much easier for reading to get understood.

2. Related with overhead, as IPV4 stack (translated from V6) and IPV6 stack will be sharing the delegated prefix, it will be treated as single IPV6 stack. The last mile compensation will not be able to distinguish IPV4 and IPV6 packets with different compensation value.
In case IPV4 services with small packet size (e.g. VOIP), policing/shaping speed need special consideration.

3. It could be helpful to indicate the impact on multicast usage when introducing different techniques as this is a widely used technique in service provider. So far as I know NAT444 has a solution but haven't investigated the others yet, maybe waiting us work out one:).

4. Related with "We note that although it is not of typical use, one can do deterministic stateful NAT and reserve a fixed set of ports for each customer, too."
Not sure if I have a misunderstanding on this but I believe it is common nowadays on NAT devices that allocated fixed port range for each customer. Such implementation will help improve performance and simplify source tracing.
I guess here function mentioned in the draft is to reserve a fixed port for an internal server? It makes sense if so.

5. It could be useful to compare the performance between different techniques on CGN devices, not only CPE. As stateless has nature advantage that it could reach much higher performance than stateful without extra hardware introduced even. This is the most important reason why stateless is so important.

Regards,
Tim